L3 agent missing on compute node in DVR setup

Bug #1515008 reported by PshemK on 2015-11-10
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
neutron-openvswitch (Juju Charms Collection)
High
James Page

Bug Description

When neutron-api is set to use DVR:

neutron-api:
 openstack-origin: cloud:trusty-liberty
 neutron-external-network: "ext-net"
 neutron-security-groups: true
 enable-dvr: true
 network-device-mtu: 9000
 overlay-network-type: vxlan

 with neutron-openvswitch and neutron gateway configured this way:

 neutron-gateway:
 openstack-origin: cloud:trusty-liberty
 ext-port: eth1

neutron-openvswitch:
# enable-local-dhcp-and-metadata: true
 ext-port: eth1

 nova-compute ends with neutron-openvswitch installed, but the neutron-openvswitch charm installs and then subsequently uninstalls the neutron-l3-agent (twice):

2015-11-10 08:39:52 INFO neutron-plugin-relation-changed The following extra packages will be installed:
2015-11-10 08:39:52 INFO neutron-plugin-relation-changed conntrack iputils-arping ipvsadm keepalived libdaemon0 libperl5.18
2015-11-10 08:39:52 INFO neutron-plugin-relation-changed libsensors4 libsnmp-base libsnmp30 neutron-metadata-agent radvd

...

2015-11-10 08:40:04 INFO neutron-plugin-relation-changed The following packages will be REMOVED:
2015-11-10 08:40:04 INFO neutron-plugin-relation-changed neutron-l3-agent* neutron-metadata-agent*

...

2015-11-10 08:40:26 INFO neutron-plugin-api-relation-changed The following NEW packages will be installed:
2015-11-10 08:40:26 INFO neutron-plugin-api-relation-changed neutron-l3-agent neutron-metadata-agent

...

2015-11-10 08:40:32 INFO neutron-plugin-api-relation-changed The following packages will be REMOVED:
2015-11-10 08:40:32 INFO neutron-plugin-api-relation-changed neutron-l3-agent* neutron-metadata-agent*

This results in inability to create VM, since the L3 agent is missing on the compute nodes.

Related branches

PshemK (pshem-k) wrote :
PshemK (pshem-k) wrote :

Is any further information required in order to triage this issue?

James Page (james-page) wrote :

Working on reproducing this issue now; I think this may be caused by the new enable-local-dhcp-and-metadata which will uninstall the metadata-agent if not enabled; this results in the l3-agent being un-installed as well as it depends on the metadata-agent.

Changed in neutron-openvswitch (Juju Charms Collection):
assignee: nobody → James Page (james-page)
status: New → In Progress
importance: Undecided → High
James Page (james-page) on 2015-11-12
Changed in neutron-openvswitch (Juju Charms Collection):
milestone: none → 16.01
tags: added: openstack stable
tags: added: backport-potential
removed: stable
James Page (james-page) wrote :

Reproduced, working a fix now.

Changed in neutron-openvswitch (Juju Charms Collection):
status: In Progress → Confirmed
status: Confirmed → In Progress
James Page (james-page) wrote :

Proposed branch works for me; just waiting for CI wheels to spin and we'll get it landed and start the backport for stable.

James Page (james-page) on 2015-11-17
Changed in neutron-openvswitch (Juju Charms Collection):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers